| LicenseSpring Management .Net SDK 1.16.1 Easily add Software Licensing to your application

Loading...
Searching...
No Matches
Public Member Functions | Properties | List of all members
LicenseSpring.LicenseDetails Class Reference

Class that encapsulates information about the license. This information should be passed to `IOrderService.CreateOrder` More...

Inheritance diagram for LicenseSpring.LicenseDetails:

## Public Member Functions
| LicenseDetails ()
| Default constructor. Constructs perpetual, not trial license.
void | SetPolicyCode (string policyCode)
  | Prepares the license to be activated with a policy code. Parameters
  policyCode | Code of the license policy, as set on the LicenseSpring platform.

## Properties
bool | AllowOverages`[get, set]`
| Allow or not consumption overages.Meaningful only for consumption license type
ConsumptionPeriod | ConsumptionPeriod`[get, set]`
| Period of consumption reset.Format: "week", "month" or "year".
string | ConsumptionPeriodStr`[get, set]`
CustomField[] | CustomFields`[get, set]`
| Array of additional custom fields.
bool | EnableMaintenancePeriod`[get, set]`
| Whether the license has maintenance plan or not.
bool | IsTrial`[get, set]`
| Whether the license is trial or not.
string | LicenseKey`[get, set]`
| License key.
LicenseUser[] | LicenseUsers`[get, set]`
| Array of license users.
string | MaintenanceDuration`[get, set]`
| Maintenance duration.Format: 1y (one year) or 2m (2 months) or 3d (3 days)
string | MaintenancePeriod`[get, set]`
| Maintenance end date.Format: "2025-11-27" (YYYY-MM-DD)
uint | MaxActivations`[get, set]`
| Maximum number of activations.Indicates on how many computers license can be activated simultaneously.
uint | MaxConsumptions`[get, set]`
| Maximum consumption.Meaningful only for consumption license type
uint | MaxOverages`[get, set]`
| Maximum overages.Meaningful only for consumption license type
int | MaxTransfers`[get, set]`
| Maximum transfers.Limit of license transfers between different devices, defaults to 0 (unlimited). Set to -1 to prevent device transfers.
string | Metadata`[get, set]`
| License metadata.
string | Note`[get, set]`
| Note for the license.
string | PolicyCode`[get]`
| License policy to be applied to this license.
bool | PreventVM`[get, set]`
| Prevent using virtual machine.
ProductFeature[] | ProductFeatures`[get, set]`
| Product features available for this license.Array of license features
bool | ResetConsumption`[get, set]`
| Enable or not periodic consumption reset.Meaningful only for consumption license type
LicenseType | Type`[get, set]`
| License type.
string | ValidityDuration`[get, set]`
| Validity duration.Format: 1y (one year) or 2m (2 months) or 3d (3 days) or 4h (4 hours) or 5min (5 minutes)
string | ValidityEndDate`[get, set]`
| It's final end date and time license is valid.Format: "2020-10-15 00:00:00"
Properties inherited from LicenseSpring.ILicenseDetails

## Detailed Description

Class that encapsulates information about the license. This information should be passed to `IOrderService.CreateOrder`

## Member Function Documentation

## ◆ SetPolicyCode()

void LicenseSpring.LicenseDetails.SetPolicyCode | ( | string | policyCode | ) |

Prepares the license to be activated with a policy code.

Parameters

  policyCode | Code of the license policy, as set on the LicenseSpring platform.

Implements LicenseSpring.ILicenseDetails.

## Property Documentation

## ◆ AllowOverages

bool LicenseSpring.LicenseDetails.AllowOverages
| get set

Allow or not consumption overages.Meaningful only for consumption license type

Implements LicenseSpring.ILicenseDetails.

## ◆ ConsumptionPeriod

ConsumptionPeriod LicenseSpring.LicenseDetails.ConsumptionPeriod
| get set

Period of consumption reset.Format: "week", "month" or "year".

Implements LicenseSpring.ILicenseDetails.

## ◆ CustomFields

CustomField [] LicenseSpring.LicenseDetails.CustomFields
| get set

Array of additional custom fields.

Implements LicenseSpring.ILicenseDetails.

## ◆ EnableMaintenancePeriod

bool LicenseSpring.LicenseDetails.EnableMaintenancePeriod
| get set

Whether the license has maintenance plan or not.

Implements LicenseSpring.ILicenseDetails.

## ◆ IsTrial

bool LicenseSpring.LicenseDetails.IsTrial
| get set

Whether the license is trial or not.

Implements LicenseSpring.ILicenseDetails.

## ◆ LicenseKey

string LicenseSpring.LicenseDetails.LicenseKey
| get set

License key.

Implements LicenseSpring.ILicenseDetails.

## ◆ LicenseUsers

LicenseUser [] LicenseSpring.LicenseDetails.LicenseUsers
| get set

Array of license users.

Implements LicenseSpring.ILicenseDetails.

## ◆ MaintenanceDuration

string LicenseSpring.LicenseDetails.MaintenanceDuration
| get set

Maintenance duration.Format: 1y (one year) or 2m (2 months) or 3d (3 days)

Implements LicenseSpring.ILicenseDetails.

## ◆ MaintenancePeriod

string LicenseSpring.LicenseDetails.MaintenancePeriod
| get set

Maintenance end date.Format: "2025-11-27" (YYYY-MM-DD)

Implements LicenseSpring.ILicenseDetails.

## ◆ MaxActivations

uint LicenseSpring.LicenseDetails.MaxActivations
| get set

Maximum number of activations.Indicates on how many computers license can be activated simultaneously.

Implements LicenseSpring.ILicenseDetails.

## ◆ MaxConsumptions

uint LicenseSpring.LicenseDetails.MaxConsumptions
| get set

Maximum consumption.Meaningful only for consumption license type

Implements LicenseSpring.ILicenseDetails.

## ◆ MaxOverages

uint LicenseSpring.LicenseDetails.MaxOverages
| get set

Maximum overages.Meaningful only for consumption license type

Implements LicenseSpring.ILicenseDetails.

## ◆ MaxTransfers

int LicenseSpring.LicenseDetails.MaxTransfers
| get set

Maximum transfers.Limit of license transfers between different devices, defaults to 0 (unlimited). Set to -1 to prevent device transfers.

Implements LicenseSpring.ILicenseDetails.

## ◆ Metadata

string LicenseSpring.LicenseDetails.Metadata
| get set

License metadata.

Implements LicenseSpring.ILicenseDetails.

## ◆ Note

string LicenseSpring.LicenseDetails.Note
| get set

Note for the license.

Implements LicenseSpring.ILicenseDetails.

## ◆ PolicyCode

string LicenseSpring.LicenseDetails.PolicyCode
| get

License policy to be applied to this license.

Implements LicenseSpring.ILicenseDetails.

## ◆ PreventVM

bool LicenseSpring.LicenseDetails.PreventVM
| get set

Prevent using virtual machine.

Implements LicenseSpring.ILicenseDetails.

## ◆ ProductFeatures

ProductFeature [] LicenseSpring.LicenseDetails.ProductFeatures
| get set

Product features available for this license.Array of license features

Implements LicenseSpring.ILicenseDetails.

## ◆ ResetConsumption

bool LicenseSpring.LicenseDetails.ResetConsumption
| get set

Enable or not periodic consumption reset.Meaningful only for consumption license type

Implements LicenseSpring.ILicenseDetails.

## ◆ Type

LicenseType LicenseSpring.LicenseDetails.Type
| get set

License type.

Implements LicenseSpring.ILicenseDetails.

## ◆ ValidityDuration

string LicenseSpring.LicenseDetails.ValidityDuration
| get set

Validity duration.Format: 1y (one year) or 2m (2 months) or 3d (3 days) or 4h (4 hours) or 5min (5 minutes)

Implements LicenseSpring.ILicenseDetails.

## ◆ ValidityEndDate

string LicenseSpring.LicenseDetails.ValidityEndDate
| get set

It's final end date and time license is valid.Format: "2020-10-15 00:00:00"

Implements LicenseSpring.ILicenseDetails.

The documentation for this class was generated from the following file:

- LicenseDetails.cs